curl --request PUT \
--url 'https://api.payroc.com/v1/pricing-intents/{pricingIntentId}' \
--header 'Authorization: Bearer <access-token>' \
--header 'Content-Type: application/json' \
--data '{
"base": {
"addressVerification": 5,
"annualFee": {
"amount": 9900,
"billInMonth": "june"
},
"batch": 1500,
"chargeback": 2500,
"earlyTermination": 57500,
"maintenance": 500,
"minimum": 100,
"pciNonCompliance": 4995,
"platinumSecurity": {
"billingFrequency": "monthly"
},
"regulatoryAssistanceProgram": 15,
"retrieval": 1500,
"voiceAuthorization": 95
},
"country": "US",
"gateway": {
"fees": {
"monthly": 2000,
"perDeviceMonthly": 10,
"perTransaction": 2000,
"setup": 5000
}
},
"key": "Your-Unique-Identifier",
"metadata": {
"yourCustomField": "abc123"
},
"processor": {
"ach": {
"fees": {
"accountVerification": 10,
"batch": 5,
"discountRateAbove10000": 10,
"discountRateUnder10000": 5.25,
"monthlyMinimum": 20000,
"returns": 400,
"statement": 800,
"transaction": 50,
"unauthorizedReturn": 1999
}
},
"card": {
"fees": {
"amex": {
"transaction": 5,
"type": "optBlue",
"volume": 1.25
},
"electronicBenefitsTransfer": {
"transaction": 10
},
"mastercardVisaDiscover": {
"transaction": 5,
"volume": 1.25
},
"pinDebit": {
"additionalDiscount": 1.25,
"monthlyAccess": 1200,
"transaction": 10
},
"specialityCards": {
"transaction": 10
}
},
"planType": "interchangePlus"
}
},
"services": [
{
"enabled": true,
"name": "hardwareAdvantagePlan"
}
],
"version": "5.2"
}'